summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Mayo <aklhfex@gmail.com>2016-12-05 16:07:56 -0500
committerGöktürk Yüksek <gokturk@gentoo.org>2016-12-05 16:14:24 -0500
commitdd3ffccf496c1f6de8457cf710de037e87b3603b (patch)
tree1b440e5cdbc8b31a41d6630c16be40d29bc579ec
parentdev-libs/boost-mpl-cartesian_product: initial commit (diff)
downloadgentoo-dd3ffccf496c1f6de8457cf710de037e87b3603b.tar.gz
gentoo-dd3ffccf496c1f6de8457cf710de037e87b3603b.tar.bz2
gentoo-dd3ffccf496c1f6de8457cf710de037e87b3603b.zip
x11-misc/menumaker: bump to 0.99.9
Package-Manager: portage-2.3.0
-rw-r--r--x11-misc/menumaker/Manifest1
-rw-r--r--x11-misc/menumaker/menumaker-0.99.9.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/x11-misc/menumaker/Manifest b/x11-misc/menumaker/Manifest
index 02fc8a56184..c04ee387f94 100644
--- a/x11-misc/menumaker/Manifest
+++ b/x11-misc/menumaker/Manifest
@@ -1 +1,2 @@
DIST menumaker-0.99.7.tar.gz 138857 SHA256 dc319aa063aa8ec017af3f736cc6e4f7578e145289976c109a4cb19df3b3c445 SHA512 b8d6236480b2945d77c05cf3f2a070b70d43786f0e443c1cf244bf91abfea1964a2dc89bc363140a7c6334764e747afdd173ee585a23ceef7f85acde9049cd19 WHIRLPOOL 075e7d4676bd93705828dcc75151706d95086c00092012b8ff9cb35c0df41ef867fd2d9f130219e625e49637c96849e136a7f94c4a0657ac906b9b987d9f2b41
+DIST menumaker-0.99.9.tar.gz 177303 SHA256 653361fa8d739e0adba788f187ae2545e0a9c510fd7544c31b7fbc25e87e0e2f SHA512 57ee20f61be366836270170d452f8e9e77cd9fe2abe2e6e0bb5f630d6e328ff4445b95135f4820c2cf80408f629dc801741f8c4bd19b1f12446367b225299229 WHIRLPOOL fe48bef65fe299d8ab0930c90e6b82710e89cf36f02e9705fd5ccdb54372b4870e954161a8cc0c07232aa0cddf8bd98ae95b7279d21bbb2e274b32d3b3a73f57
diff --git a/x11-misc/menumaker/menumaker-0.99.9.ebuild b/x11-misc/menumaker/menumaker-0.99.9.ebuild
new file mode 100644
index 00000000000..20171d7b098
--- /dev/null
+++ b/x11-misc/menumaker/menumaker-0.99.9.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit python-single-r1
+
+DESCRIPTION="Utility that scans through the system and generates a menu of installed programs"
+HOMEPAGE="http://menumaker.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+
+IUSE="doc"
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+ doc? ( sys-apps/texinfo )"
+
+src_configure() {
+ PYTHON_BIN="${PYTHON}" econf
+}
+
+src_compile() {
+ default
+
+ if use doc; then
+ cd doc || die
+ emake html || die "Generation of documentation failed"
+ fi
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install || die "emake install failed"
+
+ python_optimize "${D}"/usr/share/menumaker
+
+ if use doc; then
+ docinto html
+ dodoc doc/mmaker.html/*
+ fi
+}